FreeMat

- Main Page
- Related Pages

vtkVertexListIterator

Section: Visualization Toolkit Filtering Classes

# Usage

vtkVertexListIterator iterates through all vertices in a graph. Create an instance of this and call graph->GetVertices(it) to initialize this iterator. You may alternately call SetGraph() to initialize the iterator.

To create an instance of class vtkVertexListIterator, simply invoke its constructor as follows

      obj = vtkVertexListIterator

# Methods

The class vtkVertexListIterator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkVertexListIterator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkVertexListIterator = obj.NewInstance ()`
- `vtkVertexListIterator = obj.SafeDownCast (vtkObject o)`
- `obj.SetGraph (vtkGraph graph)` - Setup the iterator with a graph.
- `vtkGraph = obj.GetGraph ()` - Get the graph associated with this iterator.
- `vtkIdType = obj.Next ()` - Whether this iterator has more edges.
- `bool = obj.HasNext ()`